<div id="buddypress">

	<?php

	/**
	 * Fires before the display of member home content.
	 *
	 * @since BuddyPress (1.2.0)
	 */
	do_action( 'bp_before_member_home_content' ); ?>

    <div id="item-header" role="complementary">
        <?php
        /**
         * If the cover image feature is enabled, use a specific header
         */
        if ( bp_displayed_user_use_cover_image_header() ) :
            bp_get_template_part( 'members/single/cover-image-header' );
        else :
            bp_get_template_part( 'members/single/member-header' );
        endif;
        ?>
    </div><!-- #item-header -->

	<div class="dt-sc-member-container">
        <div id="item-nav">
            <div class="item-list-tabs no-ajax" id="object-nav" role="navigation">
                <ul>
    
                    <?php bp_get_displayed_user_nav(); ?>
    
                    <?php
    
                    /**
                     * Fires after the display of member options navigation.
                     *
                     * @since BuddyPress (1.2.4)
                     */
                    do_action( 'bp_member_options_nav' ); ?>
    
                </ul>
            </div>
        </div><!-- #item-nav -->
    </div>    

	<div id="item-body">

		<?php

		/**
		 * Fires before the display of member body content.
		 *
		 * @since BuddyPress (1.2.0)
		 */
		do_action( 'bp_before_member_body' );

		 if ( bp_is_user_activity() || !bp_current_component() ) :
                    locate_template( array( 'members/single/activity.php'  ), true );
 
                 elseif ( bp_is_user_blogs() ) :
                    locate_template( array( 'members/single/blogs.php'     ), true );
 
                elseif ( bp_is_user_friends() ) :
                    locate_template( array( 'members/single/friends.php'   ), true );
 
                elseif ( bp_is_user_groups() ) :
                    locate_template( array( 'members/single/groups.php'    ), true );
 
                elseif ( bp_is_user_messages() ) :
                    locate_template( array( 'members/single/messages.php'  ), true );
 
                elseif ( bp_is_user_profile() ) :
                    locate_template( array( 'members/single/profile.php'   ), true );
 
                elseif ( bp_is_user_forums() ) :
                    locate_template( array( 'members/single/forums.php'    ), true );
 
                elseif ( bp_is_user_settings() ) :
                    locate_template( array( 'members/single/settings.php'  ), true );
 
                elseif ( bp_is_user_notifications() ) :
                    locate_template( array( 'members/single/notifications.php' ), true );
 
                // If nothing sticks, load a generic template
                else :
                    locate_template( array( 'members/single/plugins.php'   ), true );
 
                endif;
 
                do_action( 'bp_after_member_body' ); ?>

	</div><!-- #item-body -->

	<?php

	/**
	 * Fires after the display of member home content.
	 *
	 * @since BuddyPress (1.2.0)
	 */
	do_action( 'bp_after_member_home_content' ); ?>

</div><!-- #buddypress -->