<?php
/* ---------------------------------------------------------------------------
 * Loading Theme Scripts
 * --------------------------------------------------------------------------- */

add_action('wp_enqueue_scripts', 'craftsandarts_enqueue_scripts');
if (!function_exists('craftsandarts_enqueue_scripts')) {
function craftsandarts_enqueue_scripts() {

	$library_uri = CRAFTSANDARTS_THEME_URI.'/framework';

	// comment reply script ------------------------------------------------------
	if (is_singular() AND comments_open()):
		 wp_enqueue_script( 'comment-reply' );
	endif;

	// scipts variable -----------------------------------------------------------
	$stickynav = ( craftsandarts_option("layout","layout-stickynav") ) ? "enable" : "disable";
	$loadingbar = ( craftsandarts_option("general","enable-loader") ) ? "enable" : "disable";
	$nicescroll = ( craftsandarts_option("general","enable-nicescroll") ) ? "enable" : "disable";
	$menusearchtype = (craftsandarts_option('layout','menu-search-type')!== null) ? craftsandarts_option('layout','menu-search-type') : 'type1';
	if(is_rtl()) $rtl = true; else $rtl = false;
	$uitotop = ( craftsandarts_option("general","enable-uitotop") ) ? "enable" : "disable";
	$uitotopdesign = ( craftsandarts_option("general","uitotop-design") ) ? craftsandarts_option("general","uitotop-design") : 'type1';

	$borderwidth = 0;
	if(craftsandarts_option('general', 'enable-bordered-site') == 'true') {
		$site_border_width = craftsandarts_option('general', 'site-border-width');
		if($site_border_width != '') {
			$borderwidth = $site_border_width;
		} else {
			$borderwidth = 80;
		}
	}	

	$htype = craftsandarts_get_header_type();

	$stickyele = "";
	switch( $htype ){
		case 'fullwidth-header fullwidth-default-header':
		case 'fullwidth-header stretched-header':
		case 'fullwidth-header fallin-header':
		case 'boxed-header':
		case 'split-header fullwidth-header':
		case 'split-header boxed-header':
		case 'two-color-header':
			$stickyele = ".main-header-wrapper";
		break;
			
		case 'fullwidth-header header-align-center fullwidth-menu-header':
		case 'fullwidth-header header-align-left fullwidth-menu-header':
			$stickyele = ".menu-wrapper";
		break;

		case 'overlay-header':
			$stickyele = ".main-header-wrapper";
		break;

		case 'left-header':
		case 'left-header-boxed':
		case 'creative-header':
		case 'left-header left-stretched-header':
			$stickyele = ".menu-wrapper";
			$stickynav = "disable";
		break;
	}

	wp_enqueue_script('caroufredsel', get_theme_file_uri('/framework/js/jquery.caroufredsel.js'), array(), false, true);
	wp_enqueue_script('debouncedresize', get_theme_file_uri('/framework/js/jquery.debouncedresize.js'), array(), false, true);
	wp_enqueue_script('prettyphoto', get_theme_file_uri('/framework/js/jquery.prettyphoto.js'), array(), false, true);
	wp_enqueue_script('touchswipe', get_theme_file_uri('/framework/js/jquery.touchswipe.js'), array(), false, true);
	wp_enqueue_script('parallax', get_theme_file_uri('/framework/js/jquery.parallax.js'), array(), false, true);
	wp_enqueue_script('downcount', get_theme_file_uri('/framework/js/jquery.downcount.js'), array(), false, true);
	wp_enqueue_script('nicescroll', get_theme_file_uri('/framework/js/jquery.nicescroll.min.js'), array(), false, true);
	wp_enqueue_script('bxslider', get_theme_file_uri('/framework/js/jquery.bxslider.js'), array(), false, true);
	wp_enqueue_script('fitvids', get_theme_file_uri('/framework/js/jquery.fitvids.js'), array(), false, true);
	wp_enqueue_script('sticky', get_theme_file_uri('/framework/js/jquery.sticky.js'), array(), false, true);
	wp_enqueue_script('simple-sidebar', get_theme_file_uri('/framework/js/jquery.simple-sidebar.js'), array(), false, true);
	wp_enqueue_script('classie', get_theme_file_uri('/framework/js/jquery.classie.js'), array(), false, true);
	wp_enqueue_script('placeholder', get_theme_file_uri('/framework/js/jquery.placeholder.js'), array(), false, true);
	wp_enqueue_script('scrollto', get_theme_file_uri('/framework/js/jquery.scrollto.js'), array(), false, true);
	wp_enqueue_script('ui-totop', get_theme_file_uri('/framework/js/jquery.ui.totop.min.js'), array(), false, true);

	wp_enqueue_script('visualnav', get_theme_file_uri('/framework/js/jquery.visualNav.min.js'), array(), false, true);
	wp_enqueue_script('craftsandarts-jarallax', get_theme_file_uri('/framework/js/jarallax.min.js'), array(), false, true);
	wp_enqueue_script('craftsandarts-fullpage', get_theme_file_uri('/framework/js/fullpage.min.js'), array(), false, true);
	wp_enqueue_script('craftsandarts-kenwheeler', get_theme_file_uri('/framework/js/kenwheeler.js'), array(), false, true);
	wp_enqueue_script('craftsandarts-jquery-multiscroll', get_theme_file_uri('/framework/js/jquery.multiscroll.min.js'), array(), false, true);
	
	if(class_exists('Tribe__Events__Pro__Main')) {
		if( function_exists( 'tribe_is_photo') && !tribe_is_photo()) {
			wp_enqueue_script('isotope', get_theme_file_uri('/framework/js/isotope.pkgd.min.js'), array(), false, true);
		}
	} else {
		wp_enqueue_script('isotope', get_theme_file_uri('/framework/js/isotope.pkgd.min.js'), array(), false, true);
	}
	
	$cookiebar = craftsandarts_option('privacy', 'enable-cookie-msgbar');
	if( isset($cookiebar) ) {
		wp_enqueue_script('jq-cookie-js', get_theme_file_uri('/framework/js/cookieconsent.js'), array(), false, true);
	}

	wp_enqueue_script('magnific-popup', get_theme_file_uri('/framework/js/magnific/jquery.magnific-popup.min.js'), array(), false, true);

	wp_enqueue_script('hoverIntent', get_theme_file_uri('/framework/js/jquery.hoverIntent.js'), array(), false, true);
	wp_enqueue_script('swiper', get_theme_file_uri('/framework/js/swiper.min.js'), array(), false, true);
	wp_enqueue_script('ilightbox', get_theme_file_uri('/framework/js/ilightbox.min.js'), array(), false, true);

	if( $loadingbar == 'enable' ) {
		wp_enqueue_script('pace', get_theme_file_uri('/framework/js/pace.min.js'),array(),false,true);
		wp_localize_script('pace', 'paceOptions', array(
			'restartOnRequestAfter' => 'false',
			'restartOnPushState' => 'false'
		));
	}

	wp_enqueue_script('craftsandarts-jqcustom', get_theme_file_uri('/framework/js/custom.js'), array(), false, true);

	wp_localize_script('craftsandarts-jqcustom', 'dttheme_urls', array(
		'theme_base_url' => esc_js(CRAFTSANDARTS_THEME_URI),
		'framework_base_url' => esc_js(CRAFTSANDARTS_THEME_URI).'/framework/',
		'ajaxurl' => esc_url( admin_url('admin-ajax.php') ),
		'url' => esc_url( get_site_url() ),
		'stickynav' => esc_js($stickynav),
		'stickyele' => esc_js($stickyele),
		'isRTL' => esc_js($rtl),
		'loadingbar' => esc_js($loadingbar),
		'nicescroll' => esc_js($nicescroll),
		'menusearchtype' => esc_js($menusearchtype),
		'uitotop' => esc_js($uitotop),
		'uitotopdesign' => esc_js($uitotopdesign),
		'borderwidth' => esc_js($borderwidth)
	));
	
	$picker = craftsandarts_option('general', 'enable-stylepicker');
	if( isset($picker) ) {
		wp_enqueue_script('cookie', get_theme_file_uri('/framework/js/jquery.cookie.min.js'),array(),false,true);
		wp_enqueue_script('craftsandarts-jqcpanel', get_theme_file_uri('/framework/js/controlpanel.js'),array(),false,true);
	}
}
}
/* ---------------------------------------------------------------------------
 * Meta tag for viewport scale
* --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_viewport')) {
function craftsandarts_viewport() {
	if(craftsandarts_option('general', 'enable-responsive')){
		echo "<meta name='viewport' content='width=device-width, initial-scale=1'>\r";
	}
}
}
/* ---------------------------------------------------------------------------
 * Scripts of Custom JS from Theme Back-End
* --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_scripts_custom')) {
function craftsandarts_scripts_custom() {
	if( ($custom_js = craftsandarts_option('layout', 'customjs-content')) && craftsandarts_option('layout','enable-customjs') ){
		wp_add_inline_script('craftsandarts-jqcustom', craftsandarts_wp_kses(stripslashes($custom_js)) ,'after');
	}
}
}
add_action('wp_enqueue_scripts', 'craftsandarts_scripts_custom', 100);

/* ---------------------------------------------------------------------------
 * Loading Theme Styles
 * --------------------------------------------------------------------------- */
add_action( 'wp_enqueue_scripts', 'craftsandarts_enqueue_styles', 100 );
if (!function_exists('craftsandarts_enqueue_styles')) {
function craftsandarts_enqueue_styles() {

	$layout_opts = craftsandarts_option('layout');
	$general_opts = craftsandarts_option('general');
	$colors_opts = craftsandarts_option('colors');
	$pageopt_opts = craftsandarts_option('pageoptions');

	// wp_enqueue_style ---------------------------------------------------------------
	wp_enqueue_style( 'crafts-and-arts', get_stylesheet_uri(), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	wp_enqueue_style( 'craftsandarts-base',get_theme_file_uri('/css/base.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-grid',get_theme_file_uri('/css/grid.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-widgets',get_theme_file_uri('/css/widget.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-layout',get_theme_file_uri('/css/layout.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-blog',get_theme_file_uri('/css/blog.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-portfolio',get_theme_file_uri('/css/portfolio.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-contact',get_theme_file_uri('/css/contact.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-customclass',get_theme_file_uri('/css/custom-class.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-browser',get_theme_file_uri('/css/browser.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	wp_enqueue_style( 'prettyphoto',	get_theme_file_uri('/css/prettyPhoto.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	
	if (function_exists('bp_add_cover_image_inline_css')) {
		$inline_css = bp_add_cover_image_inline_css( true );
		wp_add_inline_style( 'bp-parent-css', strip_tags( $inline_css['css_rules'] ) );
	}	
	
	// icon fonts ---------------------------------------------------------------------
	wp_enqueue_style ( 'icomoon',					get_theme_file_uri('/css/icomoon.css'), array () );
	wp_enqueue_style ( 'icon-moon',					get_theme_file_uri('/css/icon-moon.css'), array () );
	wp_enqueue_style ( 'custom-font-awesome',		get_theme_file_uri('/css/font-awesome.min.css'), array (), '4.3.0' );
	wp_enqueue_style ( 'pe-icon-7-stroke',			get_theme_file_uri('/css/pe-icon-7-stroke.css'), array () );
	wp_enqueue_style ( 'stroke-gap-icons-style',	get_theme_file_uri('/css/stroke-gap-icons-style.css'), array () );
	wp_enqueue_style ( 'material-design-iconic',	get_theme_file_uri('/css/material-design-iconic-font.min.css'), array () );
	wp_enqueue_style ( 'simple-line-icons',			get_theme_file_uri('/css/simple-line-icons.css'), array () );

	// additional css for portfolio funtionality
	wp_enqueue_style ( 'fullpage',	get_theme_file_uri('/css/jquery.fullPage.css'), array () );
	wp_enqueue_style ( 'multiscroll', get_theme_file_uri('/css/jquery.multiscroll.css'), array () );
	wp_enqueue_style ( 'slick',	get_theme_file_uri('/css/jquery.slick.css'), array () );
	wp_enqueue_style ( 'swiper', get_theme_file_uri('/css/swiper.min.css'), array () );

	wp_enqueue_style ( 'ilightbox-skin', get_theme_file_uri('/css/ilightbox/dark-skin/skin.css'), array () );
	wp_enqueue_style ( 'ilightbox', get_theme_file_uri('/css/ilightbox.css'), array () );

	// comingsoon css
	if(isset($pageopt_opts['enable-comingsoon']))
		wp_enqueue_style("craftsandarts-comingsoon",  	get_theme_file_uri('/css/comingsoon.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	// notfound css
	if ( is_404() )
		wp_enqueue_style("craftsandarts-notfound",	  	get_theme_file_uri('/css/notfound.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	// loader css
	if(isset($general_opts['enable-loader']))
		wp_enqueue_style("craftsandarts-loaders",	  	get_theme_file_uri('/css/loaders.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	// show mobile slider
    if(empty($general_opts['show-mobileslider'])):
		$out =	'@media only screen and (max-width:320px), (max-width: 479px), (min-width: 480px) and (max-width: 767px), (min-width: 768px) and (max-width: 959px),
		 (max-width:1200px) { #slider { display:none !important; } }';
		wp_add_inline_style('crafts-and-arts', $out);		 
	endif;

	// woocommerce css
	if( function_exists( 'is_woocommerce' ) )
		wp_enqueue_style( 'craftsandarts-woo', 		get_theme_file_uri('/css/woocommerce.css'), 'woocommerce-general-css', CRAFTSANDARTS_THEME_VERSION, 'all' );


	// static css
	if(isset($general_opts['enable-staticcss'])) :
		wp_enqueue_style("craftsandarts-static",  	get_theme_file_uri('/style-static.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	// skin css
	else :
		$skin	  = $colors_opts['theme-skin'];
		if($skin != 'custom')	wp_enqueue_style("craftsandarts-skin", 	get_theme_file_uri("/css/skins/$skin/style.css"));
	endif;

	// tribe-events -------------------------------------------------------------------
	wp_enqueue_style( 'craftsandarts-customevent', 	get_theme_file_uri('/tribe-events/custom.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	
	// cookie-consent -----------------------------------------------------------------
	$cookiebar = craftsandarts_option('privacy', 'enable-cookie-msgbar');
	if( isset($cookiebar) ) {
		wp_enqueue_style( 'craftsandarts-cookie-css', 	get_theme_file_uri('/css/cookieconsent.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	}

	wp_enqueue_style( 'magnific-popup', 	get_theme_file_uri('/framework/js/magnific/magnific-popup.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	// responsive ---------------------------------------------------------------------
	if(craftsandarts_option('general', 'enable-responsive'))
		wp_enqueue_style("craftsandarts-responsive",  	get_theme_file_uri('/css/responsive.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );		
	
	// gutenberg css ---------------------------------------------------------------------
	wp_enqueue_style( 'craftsandarts-gutenberg', get_theme_file_uri('/css/gutenberg.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	if( ! isset( $_COOKIE['dtPrivacyGoogleWebfontsDisabled'] ) ):

		// google fonts -----------------------------------------------------------------
		$google_fonts = craftsandarts_fonts();
		$google_fonts = $google_fonts['all'];

		$subset 	  = craftsandarts_option('fonts','font-subset');
		if( $subset ) $subset = str_replace(' ', '', $subset);
		$subset = isset($subset) && !empty($subset) ? $subset : '';

		// style & weight  --------------------------------------------------------------
		if( $weight = craftsandarts_option('fonts', 'font-style') )
			$weight = ':'. implode( ',', $weight );

		$fonts = craftsandarts_fonts_selected();
		$fonts = array_unique($fonts);
		$fonts_url = ''; $font_families = array('Marck Script');
		foreach( $fonts as $font ){
			if( in_array( $font, $google_fonts ) ){
				// if google fonts
				$font_families[] .= $font . $weight;
			}
		}
		$query_args = array( 'family' => urlencode( implode( '|', $font_families ) ), 'subset' => urlencode( $subset ) );
		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
		wp_enqueue_style( 'craftsandarts-fonts', 		esc_url_raw($fonts_url), false, CRAFTSANDARTS_THEME_VERSION );

	endif;

	// custom css ---------------------------------------------------------------------
	wp_enqueue_style( 'craftsandarts-custom', get_theme_file_uri('/css/custom.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );

	if( craftsandarts_option('pageoptions','enable-404message') == 'true' ):
		$bg = craftsandarts_option('pageoptions','notfound-bg');
		$opacity = craftsandarts_opts_get('notfound-bg-opacity', '1');
		$position = craftsandarts_opts_get('notfound-bg-position', 'center center');
		$repeat = craftsandarts_opts_get('notfound-bg-repeat', 'no-repeat');
		$show_bgcolor = craftsandarts_option('pageoptions','show-notfound-bg-color');
		$color = craftsandarts_option('pageoptions','notfound-bg-color');
		$color = ($show_bgcolor == 'true') ? $color : '';
		
		$estyle = craftsandarts_option('pageoptions','notfound-bg-style');
		$color = !empty($color) ? craftsandarts_hex2rgb($color) : array('f', 'f', 'f');
		$style = !empty($bg) ? "background:url($bg) $position $repeat;" : '';
		$style .= !empty($color) ? "background-color:rgba(  $color[0] ,  $color[1],  $color[2], {$opacity});" : '';
		$style .= !empty($estyle) ? $estyle : '';

		$data_css = '.error404 .wrapper { '.$style.' }';
		wp_add_inline_style( 'craftsandarts-custom', $data_css );
	endif;

	if( is_page_template('tpl-comingsoon.php') ):
		$bg = craftsandarts_option('pageoptions','comingsoon-bg');
		$opacity = craftsandarts_opts_get('comingsoon-bg-opacity', '1');
		$position = craftsandarts_opts_get('comingsoon-bg-position', 'center center');
		$repeat = craftsandarts_opts_get('comingsoon-bg-repeat', 'no-repeat');
		$color = craftsandarts_option('pageoptions','comingsoon-bg-color');
		$showcolor = craftsandarts_option('pageoptions','show-comingsoon-bg-color');

		$estyle = craftsandarts_option('pageoptions','comingsoon-bg-style');

		$color = !empty($color) ? craftsandarts_hex2rgb($color) : array('f', 'f', 'f');
		$style = !empty($bg) ? "background:url($bg) $position $repeat;" : '';
		$style .= (!empty($color) && isset($showcolor) ) ? "background-color:rgba(  $color[0],  $color[1],  $color[2], {$opacity});" : '';
		$style .= !empty($estyle) ? $estyle : '';

		$data_css = '.wrapper.under-construction  { '.$style.' }';
		wp_add_inline_style( 'craftsandarts-custom', $data_css );
	endif;

	if(craftsandarts_option('general', 'enable-bordered-site') == 'true'):
		$site_border_width = craftsandarts_option('general', 'site-border-width');
		$data_css = '';
		if($site_border_width != '') {
			$data_css .= '.site-with-border { padding:'.$site_border_width.'px; }';
			$data_css .= '.site-with-border.left-header .main-header-wrapper { left:'.$site_border_width.'px; top:'.$site_border_width.'px; }';	
			$data_css .= '.site-with-border.overlay-header .overlay .overlay-close { right: '.($site_border_width+30).'px; top: '.($site_border_width+40).'px; }';	
		}
		wp_add_inline_style( 'craftsandarts-custom', $data_css );		
	endif;
	
	// jquery scripts --------------------------------------------
	wp_enqueue_script('modernizr-custom', 	get_theme_file_uri('/framework/js/modernizr.custom.js'), array('jquery'));

	// rtl ----------------------------------------------------------------------------
	if(is_rtl() || (isset($_REQUEST['rtl']) && $_REQUEST['rtl'] == 'yes')) wp_enqueue_style('craftsandarts-rtl', get_theme_file_uri('/css/rtl.css'), false, CRAFTSANDARTS_THEME_VERSION, 'all' );
}
}
/* ---------------------------------------------------------------------------
 * Styles Minify
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_styles_minify')) {
function craftsandarts_styles_minify( $css ){

	// remove comments
	$css = preg_replace( '!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $css );	

	// remove whitespace
	$css = str_replace( array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $css );

	return $css;
}
}

/* ---------------------------------------------------------------------------
 * Styles Dynamic
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_styles_dynamic')) {
function craftsandarts_styles_dynamic() {

	ob_start();

	if( ! craftsandarts_opts_get( 'enable-staticcss' ) ){
		// custom colors.php
		$colors_opts = craftsandarts_option('colors');
		$skin	  = $colors_opts['theme-skin'];
		if($skin == 'custom'):
			include_once CRAFTSANDARTS_THEME_DIR . '/css/style-custom-color.php';
		endif;
		
		// default colors.php
		include_once CRAFTSANDARTS_THEME_DIR . '/css/style-default-color.php';

		// fonts.php
		include_once CRAFTSANDARTS_THEME_DIR . '/css/style-fonts.php';			
	}

	$css = ob_get_contents();

	ob_get_clean();

	$css = craftsandarts_styles_minify( $css );

	wp_register_style( 'craftsandarts-combined', '', false, CRAFTSANDARTS_THEME_VERSION, 'all' );
	wp_enqueue_style( 'craftsandarts-combined' );

	wp_add_inline_style('craftsandarts-combined', $css);	


	// CSS for visual composer fix

	ob_start();
	include_once CRAFTSANDARTS_THEME_DIR . '/css/style-vc-fix.php';			
	$vc_css = ob_get_contents();
	ob_get_clean();

	$vc_css = craftsandarts_styles_minify( $vc_css );
	wp_add_inline_style('js_composer_front', $vc_css);	


	// Visual composer custom css for footer page
	if(class_exists('Vc_Manager')) {

		$footer_pageid = craftsandarts_option('layout','footer-pageid');

		if($footer_pageid != '') {

			$shortcodes_custom_css = get_post_meta( $footer_pageid, '_wpb_shortcodes_custom_css', true );
			$shortcodes_custom_css = strip_tags( $shortcodes_custom_css );

			wp_register_style( 'craftsandarts-vc-customcss', '', false, CRAFTSANDARTS_THEME_VERSION, 'all' );
			wp_enqueue_style( 'craftsandarts-vc-customcss' );
			wp_add_inline_style('craftsandarts-vc-customcss', $shortcodes_custom_css);	

		}

	}
}
}
add_action( 'wp_enqueue_scripts', 'craftsandarts_styles_dynamic', 100 );

/* ---------------------------------------------------------------------------
 * Styles of Custom Font
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_styles_custom_font')) {
	function craftsandarts_styles_custom_font() {	
		$fonts 		  = craftsandarts_fonts_selected();
		$font_custom  = craftsandarts_option('fonts','customfont-name');
		$font_custom2 = craftsandarts_option('fonts','customfont2-name');

		$out = '';

		if( $font_custom && in_array( $font_custom, $fonts ) ){
			$out .= '@font-face {';
				$out .= 'font-family: "'. $font_custom .'";';
				$out .= 'src: url("'. craftsandarts_option('fonts','customfont-eot') .'");';
				$out .= 'src: url("'. craftsandarts_option('fonts','customfont-eot') .'#iefix") format("embedded-opentype"),';
					$out .= 'url("'. craftsandarts_option('fonts','customfont-woff') .'") format("woff"),';
					$out .= 'url("'. craftsandarts_option('fonts','customfont-ttf') .'") format("truetype"),';
					$out .= 'url("'. craftsandarts_option('fonts','customfont-svg') . $font_custom .'") format("svg");';
				$out .= 'font-weight: normal;';
				$out .= 'font-style: normal;';
			$out .= '}';
		}
		
		if( $font_custom2 && in_array( $font_custom2, $fonts ) ){
			$out .= '@font-face {';
				$out .= 'font-family: "'. $font_custom2 .'";';
				$out .= 'src: url("'. craftsandarts_option('fonts','customfont2-eot') .'");';
				$out .= 'src: url("'. craftsandarts_option('fonts','customfont2-eot') .'#iefix") format("embedded-opentype"),';
					$out .= 'url("'. craftsandarts_option('fonts','customfont2-woff') .'") format("woff"),';
					$out .= 'url("'. craftsandarts_option('fonts','customfont2-ttf') .'") format("truetype"),';
					$out .= 'url("'. craftsandarts_option('fonts','customfont2-svg') . $font_custom2 .'") format("svg");';
				$out .= 'font-weight: normal;';
				$out .= 'font-style: normal;';
			$out .= '}';
		}

		return $out;
	}
	add_action('wp_enqueue_scripts', 'craftsandarts_styles_custom_font', 103);
}
/* ---------------------------------------------------------------------------
 * Fonts Selected in Theme Options Panel
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_fonts_selected')) {
function craftsandarts_fonts_selected(){
	$fonts = array();
	
	$font_opts = craftsandarts_option('fonts');
	
	$fonts['content'] 		= !empty ( $font_opts['content-font'] ) 	? 	$font_opts['content-font'] 		: 'Oswald';
	$fonts['menu'] 			= !empty ( $font_opts['menu-font'] ) 		? 	$font_opts['menu-font'] 		: 'Oswald';
	$fonts['title'] 		= !empty ( $font_opts['pagetitle-font'] ) 	? 	$font_opts['pagetitle-font'] 	: 'Oswald';
	$fonts['h1'] 		= !empty ( $font_opts['h1-font'] ) 	? 	$font_opts['h1-font'] 		: 'Oswald';
	$fonts['h2'] 		= !empty ( $font_opts['h2-font'] ) 	? 	$font_opts['h2-font'] 		: 'Oswald';
	$fonts['h3'] 		= !empty ( $font_opts['h3-font'] ) 	? 	$font_opts['h3-font'] 		: 'Oswald';
	$fonts['h4'] 		= !empty ( $font_opts['h4-font'] ) 	? 	$font_opts['h4-font'] 		: 'Oswald';
	$fonts['h5'] 		= !empty ( $font_opts['h5-font'] ) 	? 	$font_opts['h5-font'] 		: 'Oswald';
	$fonts['h6'] 		= !empty ( $font_opts['h6-font'] ) 	? 	$font_opts['h6-font'] 		: 'Oswald';

	return $fonts;
}
}
/* ---------------------------------------------------------------------------
 * Site SSL Compatibility
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_ssl')) {
function craftsandarts_ssl( $echo = false ){
	$ssl = '';
	if( is_ssl() ) $ssl = 's';
	if( $echo ){
		echo "{$ssl}";
	}
	return $ssl;
}
}
/* ---------------------------------------------------------------------------
 * Layout Selected in Theme Options Panel
 * --------------------------------------------------------------------------- */
add_action('wp_enqueue_scripts', 'craftsandarts_appearance_css', 102);
if (!function_exists('craftsandarts_appearance_css')) {
function craftsandarts_appearance_css() {
	$output = NULL;

	if (craftsandarts_option('layout', 'site-layout') == 'boxed') :

		if (craftsandarts_option('layout', 'bg-type') == 'bg-patterns') :
			$pattern 			= 	craftsandarts_option('layout', 'boxed-layout-pattern');
			$pattern_repeat 	= 	craftsandarts_option('layout', 'boxed-layout-pattern-repeat');
			$pattern_opacity 	= 	craftsandarts_option('layout', 'boxed-layout-pattern-opacity');
			$enable_color 		= 	craftsandarts_option('layout', 'show-boxed-layout-pattern-color');
			$pattern_color 		= 	craftsandarts_option('layout', 'boxed-layout-pattern-color');

			$output .= "body { ";

			if (!empty($pattern)) {
				$output .= "background-image:url('" . CRAFTSANDARTS_THEME_URI . "/framework/theme-options/images/patterns/{$pattern}');";
			}

			$output .= "background-repeat:$pattern_repeat;";
			if ($enable_color) {
				if (!empty($pattern_opacity)) {
					$color = craftsandarts_hex2rgb($pattern_color);
					$output .= "background-color:rgba($color[0],$color[1],$color[2],$pattern_opacity); ";
				} else {
					$output .= "background-color:$pattern_color;";
				}
			}
			$output .= "}\r\t";

		elseif (craftsandarts_option('layout', 'bg-type') == 'bg-custom') :
			$bg 			= 	craftsandarts_option('layout', 'boxed-layout-bg');
			$bg_repeat 		= 	craftsandarts_option('layout', 'boxed-layout-bg-repeat');
			$bg_opacity 	= 	craftsandarts_option('layout', 'boxed-layout-bg-opacity');
			$bg_color 		= 	craftsandarts_option('layout', 'boxed-layout-bg-color');
			$enable_color 	= 	craftsandarts_option('layout', 'show-boxed-layout-bg-color');
			$bg_position 	= 	craftsandarts_option('layout', 'boxed-layout-bg-position');

			$output .= "body { ";

			if (!empty($bg)) {
				$output .= "background-image:url($bg);";
				$output .= "background-repeat:$bg_repeat;";
				$output .= "background-position:$bg_position;";
			}

			if ($enable_color) {
				if (!empty($bg_opacity)) {
					$color = craftsandarts_hex2rgb($bg_color);
					$output .= "background-color:rgba($color[0],$color[1],$color[2],$bg_opacity);";
				} else {
					$output .= "background-color:$bg_color;";
				}
			}
			$output .= "}\r\t";
		endif;

	endif;
	
	if (!empty($output)) :
		wp_register_style( 'craftsandarts-layout', '' );
		wp_enqueue_style( 'craftsandarts-layout' );
		wp_add_inline_style('craftsandarts-layout', $output);
	endif;
}
}
/* ---------------------------------------------------------------------------
 * Body Class Filter for layout changes
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_body_classes')) {
function craftsandarts_body_classes( $classes ) {

	// layout
	$classes[] 		= 	'layout-'. craftsandarts_option('layout','site-layout');

	// header
	$header_type = craftsandarts_get_header_type();

	global $post;

	if(isset($post)) {

		$tpl_default_settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
		$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();

		$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
		$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();
		
	}

	if( is_page_template('tpl-portfolio.php') ) {

		if(array_key_exists('portfolio-disable-top-spaces', $tpl_default_settings) && $tpl_default_settings['portfolio-disable-top-spaces'] != '') {
			$classes[] = 'remove-top-spaces';
		}

		if(array_key_exists('portfolio-disable-bottom-spaces', $tpl_default_settings) && $tpl_default_settings['portfolio-disable-bottom-spaces'] != '') {
			$classes[] = 'remove-bottom-spaces';
		}		

	} else if(is_singular('dt_portfolios')) {

		if(array_key_exists('disable-top-spaces', $portfolio_settings) && $portfolio_settings['disable-top-spaces'] != '') {
			$classes[] = 'remove-top-spaces';
		}

		if(array_key_exists('disable-bottom-spaces', $portfolio_settings) && $portfolio_settings['disable-bottom-spaces'] != '') {
			$classes[] = 'remove-bottom-spaces';
		}		

	}

	if( isset($header_type) && ($header_type == 'left-header') ):
		$classes[]	=	'left-header fixed-left-header';
	elseif( isset($header_type) && ($header_type == 'left-header-boxed') ):
		$classes[]	=	'left-header left-header-boxed';
	elseif( isset($header_type) && ($header_type == 'creative-header') ):
		$classes[]	=	'left-header left-header-creative';
	else:
		$classes[]	=	$header_type;
	endif;

	$stickyhead		=	craftsandarts_option('layout','layout-stickynav');
	if(isset($stickyhead)):
		$classes[]	=	'sticky-header';
	endif;

	$check_buddhapanel = true;

	if( is_page_template('tpl-portfolio.php')) {

		$post_style = isset($tpl_default_settings['portfolio-post-style']) ? $tpl_default_settings['portfolio-post-style'] : '';
		$enable_header_on_slider = isset($tpl_default_settings['portfolio-enable-header-on-slider']) ? $tpl_default_settings['portfolio-enable-header-on-slider'] : '';
		$header_transparency = isset($tpl_default_settings['portfolio-header-transparency']) ? $tpl_default_settings['portfolio-header-transparency'] : '';

		if($header_type != 'left-header' && $header_type != 'left-header-boxed' && $header_type != 'creative-header' && $header_type != 'left-stretched-header' && $header_type != 'left-header animated-right-header') {
			if($enable_header_on_slider == 'true') {
				$classes[] = 'header-on-slider page-with-slider';
				$check_buddhapanel = false;
			}
			if($header_transparency != '') {
				$classes[] = $header_transparency;
				$check_buddhapanel = false;
			}			
		}

	} else if(is_singular('dt_portfolios')) {

		$post_style = isset($portfolio_settings['portfolio-layout']) ? $portfolio_settings['portfolio-layout'] : '';
		$transparent_header = array_key_exists("transparent-header", $portfolio_settings) ? true : false;

		if($post_style == 'media-on-top' || $post_style == 'fullpage-portfolio' || $post_style == 'fullscreen-slider') {
			$classes[] = 'header-on-slider semi-transparent-header page-with-slider';
			$check_buddhapanel = false;
		} else if($transparent_header) {
			$classes[] = 'header-on-slider transparent-header page-with-slider';
			$check_buddhapanel = false;			
		}

	}

	$standard		=	craftsandarts_option('layout','header-position');
	if( isset($standard) && ($standard == 'above slider') ):
		$classes[]	=	'standard-header';
	elseif( isset($standard) && ($standard == 'below slider') ):
		$classes[]	=	'standard-header header-below-slider';
	elseif ( isset($standard) && ($standard == 'on slider') && $check_buddhapanel ):
		$classes[]	=	'header-on-slider';
	endif;

	if($check_buddhapanel):
		$htrans 		= 	craftsandarts_option('layout', 'header-transparant');
		if(isset($htrans)):
			$classes[]	=	craftsandarts_option('layout', 'header-transparant');
		endif;
	endif;		

	$topbar			=	craftsandarts_option('layout','layout-topbar');
	if(isset($topbar)):
		$classes[]	=	'header-with-topbar';
	endif;

	$wootype		=	craftsandarts_option('woo','product-style');
	$wootype		= 	!empty($wootype) ? 'woo-'.$wootype : 'woo-type1';
	$classes[]		=	$wootype;

	if( is_page() ) {
		$pageid = craftsandarts_ID();
		$page_meta = get_post_meta( $pageid, '_tpl_default_settings', true );

		if( ($page_meta) && (array_key_exists( 'show_slider', $page_meta )) ) {
			$classes[] = "page-with-slider";
		}
		if( ($page_meta) && (!array_key_exists( 'enable-sub-title', $page_meta )) ) {
			$classes[] = "no-breadcrumb";
		}
	} elseif(is_singular('dt_portfolios')) {
		$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
		$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();
		if( ($portfolio_settings) && (!array_key_exists( 'enable-sub-title', $portfolio_settings )) ) {
			$classes[] = "no-breadcrumb";
		}
	} elseif( is_home() ) {
		$pageid = get_option('page_for_posts');
		if(($slider_key = get_post_meta( $pageid, '_tpl_default_settings', true )) && (array_key_exists( 'show_slider', $slider_key )) ) {
			$classes[] = "page-with-slider";
		}
	}

	if(craftsandarts_option('general', 'enable-bordered-site') == 'true') {
		$classes[] = "site-with-border";
	}

	if( craftsandarts_option('pageoptions','enable-404message') == 'true' ) {
		global $post;
		$pageid = craftsandarts_option('pageoptions','notfound-pageid');
		if(isset($post)) {
			if($pageid == $post->ID) {
				$classes[] = 'error404';
			}
		} else {
			$classes[] = 'error404';
		}
	}

	$disable_footer = '';
	if(isset($tpl_default_settings)) {
		$disable_footer = array_key_exists('portfolio-disable-footer', $tpl_default_settings) ? true : '';
	}
	
	if(is_singular('dt_portfolios')) {
		$disable_footer = array_key_exists('disable-footer', $portfolio_settings) ? true : '';
	}		

	if($disable_footer == true) {

	} else {
        $fixed_footer = craftsandarts_option('layout','footer-fixed');
        if($fixed_footer == 'true') {
        	$classes[] = 'site-with-fixed-footer';
        }
    }
	
	# Gutenberg Class
    if ( is_singular() && function_exists('has_blocks') && has_blocks()) {
        $classes[] = 'has-gutenberg-blocks';
    }

	return $classes;
}
}
add_filter( 'body_class', 'craftsandarts_body_classes' );

if (!function_exists('craftsandarts_load_favicons')) {
function craftsandarts_load_favicons() {

	$layout_opts = craftsandarts_option('layout');

	// site icons ---------------------------------------------------------------
	if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ):
		$url = ! empty ( $layout_opts ['favicon-url'] ) ? $layout_opts ['favicon-url'] : CRAFTSANDARTS_THEME_URI . "/images/favicon.ico";
		echo "<link href='$url' rel='shortcut icon' type='image/x-icon' />\n";
	
		$phone_url = ! empty ( $layout_opts ['apple-favicon'] ) ? $layout_opts ['apple-favicon'] : CRAFTSANDARTS_THEME_URI . "/images/apple-touch-icon.png";
		echo "<link href='$phone_url' rel='apple-touch-icon'/>\n";
	
		$phone_retina_url = ! empty ( $layout_opts ['apple-retina-favicon'] ) ? $layout_opts ['apple-retina-favicon'] : CRAFTSANDARTS_THEME_URI. "/images/apple-touch-icon-114x114.png";
		echo "<link href='$phone_retina_url' sizes='114x114' rel='apple-touch-icon'/>\n";
	
		$ipad_url = ! empty ( $layout_opts ['apple-ipad-favicon'] ) ? $layout_opts ['apple-ipad-favicon'] : CRAFTSANDARTS_THEME_URI . "/images/apple-touch-icon-72x72.png";
		echo "<link href='$ipad_url' sizes='72x72' rel='apple-touch-icon'/>\n";
	
		$ipad_retina_url = ! empty ( $layout_opts ['apple-ipad-retina-favicon'] ) ? $layout_opts ['apple-ipad-retina-favicon'] : CRAFTSANDARTS_THEME_URI . "/images/apple-touch-icon-144x144.png";
		echo "<link href='$ipad_retina_url' sizes='144x144' rel='apple-touch-icon'/>\n";
	endif;
}
}
add_action( 'wp_head', 'craftsandarts_load_favicons' );
?>