<!-- colors -->
<div id="colors" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content">
        <ul class="sub-panel"> 
            <li><a href="#tab1"><?php esc_html_e('General', 'crafts-and-arts'); ?></a></li>
            <li><a href="#tab2"><?php esc_html_e('Header', 'crafts-and-arts'); ?></a></li>
			<li><a href="#tab3"><?php esc_html_e('Menu', 'crafts-and-arts'); ?></a></li>
            <li><a href="#tab4"><?php esc_html_e('Content', 'crafts-and-arts'); ?></a></li>
            <li><a href="#tab5"><?php esc_html_e('Footer', 'crafts-and-arts'); ?></a></li>
            <li><a href="#tab6"><?php esc_html_e('Heading', 'crafts-and-arts'); ?></a></li>
        </ul>
        
        <!-- tab1-general -->
        <div id="tab1" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Skin', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <div class="column one-third"><label><?php esc_html_e('Theme Skin', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last">
                        <select id="dttheme-skin-color" name="dttheme[colors][theme-skin]" class="medium dt-chosen-select skin-types">
                        	<optgroup label="Custom">
								<option value="custom"><?php esc_html_e('Custom Skin', 'crafts-and-arts'); ?></option>
							</optgroup>
							<optgroup label="Skins"><?php
								$skins = array( 'blue', 'brown', 'cadetblue', 'chillipepper', 'cyan', 'darkgolden', 'deeporange', 'deeppurple', 'green', 'lime', 'magenta', 'orange', 'pink', 'purple', 
												'red', 'skyblue', 'teal', 'turquoise', 'wisteria', 'yellow', 'antiquewhite', 'applegreen', 'indigo', 'lightgreen', 'lightpurple', 'limeyellow', 'palegreen', 'seagreen', 'skybluelight', 'violetred' );
								foreach($skins as $skin):
									$s = selected(craftsandarts_option('colors','theme-skin'),$skin,false);
									echo "<option $s >$skin</option>";
								endforeach;?>
                            </optgroup>    
                        </select>
                        <p class="note"><?php esc_html_e('Choose one of the predefined styles or set your own colors.', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Body Background Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][body-bgcolor]";
						$value =  (craftsandarts_option('colors','body-bgcolor') != NULL) ? craftsandarts_option('colors','body-bgcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom background color of the body.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Site Border Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
                        $name  =  "dttheme[colors][site-border-color]";
                        $value =  (craftsandarts_option('colors','site-border-color') != NULL) ? craftsandarts_option('colors','site-border-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom border color for your site.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>                    

                    <?php $panelvisible = ( craftsandarts_option('colors','theme-skin') == 'custom' ) ? 'style="display:block"' : 'style="display:none"'; ?>

					<div class="custom-skin-panel" <?php echo "{$panelvisible}";?>>
                        <div class="column one-third"><label><?php esc_html_e('Default Color', 'crafts-and-arts'); ?></label></div>
                        <div class="column two-third last"><?php
                            $name  =  "dttheme[colors][custom-default]";
                            $value =  (craftsandarts_option('colors','custom-default') != NULL) ? craftsandarts_option('colors','custom-default') :"";
                            craftsandarts_admin_color_picker_two($name,$value); ?>
                            <p class="note"><?php esc_html_e('Important: This option can be used only with the <b>"Custom Skin"</b>.', 'crafts-and-arts'); ?></p>
                        </div>
                        <div class="hr"></div>
    
                        <div class="column one-third"><label><?php esc_html_e('Light Color', 'crafts-and-arts'); ?></label></div>
                        <div class="column two-third last"><?php
                            $name  =  "dttheme[colors][custom-light]";
                            $value =  (craftsandarts_option('colors','custom-light') != NULL) ? craftsandarts_option('colors','custom-light') :"";
                            craftsandarts_admin_color_picker_two($name,$value); ?>
                            <p class="note"><?php esc_html_e('Important: This option can be used only with the <b>"Custom Skin"</b>.', 'crafts-and-arts'); ?></p>
                        </div>
                        <div class="hr"></div>
    
                        <div class="column one-third"><label><?php esc_html_e('Dark Color', 'crafts-and-arts'); ?></label></div>
                        <div class="column two-third last"><?php
                            $name  =  "dttheme[colors][custom-dark]";
                            $value =  (craftsandarts_option('colors','custom-dark') != NULL) ? craftsandarts_option('colors','custom-dark') :"";
                            craftsandarts_admin_color_picker_two($name,$value); ?>
                            <p class="note"><?php esc_html_e('Important: This option can be used only with the <b>"Custom Skin"</b>.', 'crafts-and-arts'); ?></p>
                        </div>
                    </div>    

                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->
        </div><!-- #tab1-general end-->

        <!-- tab2-header -->
        <div id="tab2" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Header', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <div class="column one-half">
                    	<label><?php esc_html_e('Header BG Color', 'crafts-and-arts'); ?></label>
                        <div class="clear"></div><?php
						$name  =  "dttheme[colors][header-bgcolor]";
						$value =  (craftsandarts_option('colors','header-bgcolor') != NULL) ? craftsandarts_option('colors','header-bgcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom background color of the header.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>

					<div class="column one-half last">
						<div class="bpanel-option-set">
	                        <?php echo craftsandarts_admin_jqueryuislider( esc_html__("Background opacity", 'crafts-and-arts'), "dttheme[colors][header-bgcolor-opacity]",
                                                                          craftsandarts_option("colors","header-bgcolor-opacity"),""); ?>
                        </div>
                        <p class="note"><?php esc_html_e('You can adjust opacity of the header BG color here.', 'crafts-and-arts'); ?></p>
                    </div>
					<div class="hr"></div>
                </div><!-- .box-content -->
                
                <div class="box-title">
                    <h3><?php esc_html_e('Top Bar', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <div class="column one-third"><label><?php esc_html_e('Top Bar BG Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][topbar-bgcolor]";
						$value =  (craftsandarts_option('colors','topbar-bgcolor') != NULL) ? craftsandarts_option('colors','topbar-bgcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom background color of the top bar.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>
                    
                    <div class="column one-third"><label><?php esc_html_e('Top Bar Text Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][topbar-textcolor]";
						$value =  (craftsandarts_option('colors','topbar-textcolor') != NULL) ? craftsandarts_option('colors','topbar-textcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom text color of the top bar.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>
                    
                    <div class="column one-third"><label><?php esc_html_e('Top Bar Link Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][topbar-linkcolor]";
						$value =  (craftsandarts_option('colors','topbar-linkcolor') != NULL) ? craftsandarts_option('colors','topbar-linkcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom link color of the top bar.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>                    
                    
                    <div class="column one-third"><label><?php esc_html_e('Top Bar Link Hover Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][topbar-linkhovercolor]";
						$value =  (craftsandarts_option('colors','topbar-linkhovercolor') != NULL) ? craftsandarts_option('colors','topbar-linkhovercolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom link hover color of the top bar.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                </div><!-- .box-content -->
                
            </div><!-- .bpanel-box end -->            
        </div><!-- #tab2-header end-->

        <!-- tab3-menu -->
        <div id="tab3" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Menu', 'crafts-and-arts'); ?></h3>
                </div>

                <div class="box-content">
                    <div class="column one-half">
                    	<label><?php esc_html_e('Menu BG Color', 'crafts-and-arts'); ?></label>
                        <div class="clear"></div><?php
						$name  =  "dttheme[colors][menu-bgcolor]";
						$value =  (craftsandarts_option('colors','menu-bgcolor') != NULL) ? craftsandarts_option('colors','menu-bgcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom background color of the menu.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>

					<div class="column one-half last">
						<div class="bpanel-option-set">
	                        <?php echo craftsandarts_admin_jqueryuislider( esc_html__("Background opacity", 'crafts-and-arts'), "dttheme[colors][menu-bgcolor-opacity]",
                                                                          craftsandarts_option("colors","menu-bgcolor-opacity"),""); ?>
                        </div>
                        <p class="note"><?php esc_html_e('You can adjust opacity of the menu BG color here.', 'crafts-and-arts'); ?></p>
                    </div>
					<div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Menu Link Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][menu-linkcolor]";
						$value =  (craftsandarts_option('colors','menu-linkcolor') != NULL) ? craftsandarts_option('colors','menu-linkcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the menu links.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Menu Hover Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][menu-hovercolor]";
						$value =  (craftsandarts_option('colors','menu-hovercolor') != NULL) ? craftsandarts_option('colors','menu-hovercolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the hover menu links.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Menu Link Active Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][menu-activecolor]";
						$value =  (craftsandarts_option('colors','menu-activecolor') != NULL) ? craftsandarts_option('colors','menu-activecolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the active menu links.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Menu Link Active BG', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][menu-activebgcolor]";
						$value =  (craftsandarts_option('colors','menu-activebgcolor') != NULL) ? craftsandarts_option('colors','menu-activebgcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the active menu links background.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->            
        </div><!-- #tab3-menu end-->

        <!-- tab4-content -->
        <div id="tab4" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Content', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <div class="column one-third"><label><?php esc_html_e('Text Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][content-text-color]";
						$value =  (craftsandarts_option('colors','content-text-color') != NULL) ? craftsandarts_option('colors','content-text-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the body content text.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Link Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][content-link-color]";
						$value =  (craftsandarts_option('colors','content-link-color') != NULL) ? craftsandarts_option('colors','content-link-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the body content link.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Link Hover Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][content-link-hcolor]";
						$value =  (craftsandarts_option('colors','content-link-hcolor') != NULL) ? craftsandarts_option('colors','content-link-hcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom hover color of the body content link.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->            
        </div><!-- #tab4-content end-->

        <!-- tab5-footer -->
        <div id="tab5" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Footer', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <div class="column one-half">
                    	<label><?php esc_html_e('Footer Background Color', 'crafts-and-arts'); ?></label>
                        <div class="clear"></div><?php
						$name  =  "dttheme[colors][footer-bgcolor]";
						$value =  (craftsandarts_option('colors','footer-bgcolor') != NULL) ? craftsandarts_option('colors','footer-bgcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the footer background.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>

					<div class="column one-half last">
						<div class="bpanel-option-set">
	                        <?php echo craftsandarts_admin_jqueryuislider( esc_html__("Background opacity", 'crafts-and-arts'), "dttheme[colors][footer-bgcolor-opacity]",
                                                                          craftsandarts_option("colors","footer-bgcolor-opacity"),""); ?>
                        </div>
                        <p class="note"><?php esc_html_e('You can adjust opacity of the footer BG color here.', 'crafts-and-arts'); ?></p>
                    </div>
					<div class="hr"></div>

                    <div class="column one-half">
                    	<label><?php esc_html_e('Copyright Section BG Color', 'crafts-and-arts'); ?></label>
                        <div class="clear"></div><?php
						$name  =  "dttheme[colors][copyright-bgcolor]";
						$value =  (craftsandarts_option('colors','copyright-bgcolor') != NULL) ? craftsandarts_option('colors','copyright-bgcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the copyright section background.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>

					<div class="column one-half last">
						<div class="bpanel-option-set">
	                        <?php echo craftsandarts_admin_jqueryuislider( esc_html__("Background opacity", 'crafts-and-arts'), "dttheme[colors][copyright-bgcolor-opacity]",
                                                                          craftsandarts_option("colors","copyright-bgcolor-opacity"),""); ?>
                        </div>
                        <p class="note"><?php esc_html_e('You can adjust opacity of the copyright section BG color here.', 'crafts-and-arts'); ?></p>
                    </div>
					<div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Footer Text Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][footer-text-color]";
						$value =  (craftsandarts_option('colors','footer-text-color') != NULL) ? craftsandarts_option('colors','footer-text-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the footer text elements.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Footer Link Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][footer-link-color]";
						$value =  (craftsandarts_option('colors','footer-link-color') != NULL) ? craftsandarts_option('colors','footer-link-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the footer links.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Footer Hover Link Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][footer-link-hcolor]";
						$value =  (craftsandarts_option('colors','footer-link-hcolor') != NULL) ? craftsandarts_option('colors','footer-link-hcolor') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom hover color of the footer links.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Footer Heading Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][footer-heading-color]";
						$value =  (craftsandarts_option('colors','footer-heading-color') != NULL) ? craftsandarts_option('colors','footer-heading-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the footer headings.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->            
        </div><!-- #tab5-footer end-->

        <!-- tab6-heading -->
        <div id="tab6" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Heading', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <div class="column one-third"><label><?php esc_html_e('Heading H1 Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][heading-h1-color]";
						$value =  (craftsandarts_option('colors','heading-h1-color') != NULL) ? craftsandarts_option('colors','heading-h1-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the heading tag h1.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>
                    
                    <div class="column one-third"><label><?php esc_html_e('Heading H2 Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][heading-h2-color]";
						$value =  (craftsandarts_option('colors','heading-h2-color') != NULL) ? craftsandarts_option('colors','heading-h2-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the heading tag h2.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Heading H3 Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][heading-h3-color]";
						$value =  (craftsandarts_option('colors','heading-h3-color') != NULL) ? craftsandarts_option('colors','heading-h3-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the heading tag h3.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Heading H4 Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][heading-h4-color]";
						$value =  (craftsandarts_option('colors','heading-h4-color') != NULL) ? craftsandarts_option('colors','heading-h4-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the heading tag h4.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Heading H5 Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][heading-h5-color]";
						$value =  (craftsandarts_option('colors','heading-h5-color') != NULL) ? craftsandarts_option('colors','heading-h5-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the heading tag h5.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                    <div class="hr"></div>

                    <div class="column one-third"><label><?php esc_html_e('Heading H6 Color', 'crafts-and-arts'); ?></label></div>
                    <div class="column two-third last"><?php
						$name  =  "dttheme[colors][heading-h6-color]";
						$value =  (craftsandarts_option('colors','heading-h6-color') != NULL) ? craftsandarts_option('colors','heading-h6-color') :"";
                        craftsandarts_admin_color_picker_two($name,$value); ?>
                        <p class="note"><?php esc_html_e('Pick a custom color of the heading tag h6.(e.g. #a314a3)', 'crafts-and-arts'); ?></p>
                    </div>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->            
        </div><!-- #tab6-heading end-->

    </div><!-- .bpanel-main-content end-->
</div><!-- colors end-->