<!-- widgetarea -->
<div id="widgetarea" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content">
        <ul class="sub-panel"> 
            <li><a href="#tab1"><?php esc_html_e('Sidebar', 'crafts-and-arts'); ?></a></li>
            <li><a href="#tab2"><?php esc_html_e('Footer', 'crafts-and-arts'); ?></a></li>
        </ul>
        
        <!-- tab1-custom-widgetarea -->
        <div id="tab1" class="tab-content">

            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Create New Widget Area', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <p class="note"><?php esc_html_e("You can create widget areas here, and assign them in individual page / post", 'crafts-and-arts'); ?></p>
                    <div class="bpanel-option-set">
                        <input type="button" data-for="custom" value="<?php esc_attr_e('Add New Widget Area', 'crafts-and-arts'); ?>" class="black dttheme_add_widgetarea" />
                        <div class="hr_invisible"></div><?php
                        $widgets = craftsandarts_option('widgetarea','custom');
                        $widgets = is_array($widgets) ? array_unique($widgets) : array();
                        $widgets = array_filter($widgets); ?>
                    </div>
                    <div class="bpanel-option-set">
                      <ul class="added-menu"><?php
                          foreach( $widgets as $k => $v){?>
                              <li>
                                <div class="item-bar">
                                  <span class="item-title"><?php esc_html_e('Widget Area:', 'crafts-and-arts'); echo" $v";?></span>
                                  <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit', 'crafts-and-arts'); ?></a></span>
                                </div>
                                <div class="item-content" style="display: none;">
                                  <span><label><?php esc_html_e('Name', 'crafts-and-arts'); ?></label><input type="text" name="dttheme[widgetarea][custom][]" class="social-link" value="<?php echo esc_attr($v); ?>" /></span>
                                  <div class="remove-cancel-links">
                                    <span class="remove-item"><?php esc_html_e('Remove', 'crafts-and-arts'); ?></span>
                                    <span class="meta-sep"> | </span>
                                    <span class="cancel-item"><?php esc_html_e('Cancel', 'crafts-and-arts'); ?></span>
                                  </div>
                                </div>
                              </li><?php
                          }?>
                      </ul>

                      <ul class="sample-to-edit" style="display:none;">
                        <li>
                          <div class="item-bar">
                            <span class="item-title"><?php esc_html_e('Widget Area', 'crafts-and-arts'); ?></span>
                            <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit', 'crafts-and-arts'); ?></a></span>
                          </div>

                          <div class="item-content">
                            <span><label><?php esc_html_e('Name', 'crafts-and-arts'); ?></label><input type="text" class="social-link" /></span>
                            <div class="remove-cancel-links">
                              <span class="remove-item"><?php esc_html_e('Remove', 'crafts-and-arts'); ?></span>
                              <span class="meta-sep"> | </span>
                              <span class="cancel-item"><?php esc_html_e('Cancel', 'crafts-and-arts'); ?></span>
                            </div>
                          </div>
                        </li>
                      </ul>
                    </div>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->

            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Sidebar Widget Styles', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <div class="column one-half">
						          <h6><?php esc_html_e('Sidebar widget Title Style', 'crafts-and-arts'); ?></h6>
                        <div class="column one-fifth">
                            <select name="dttheme[widgetarea][wtitle-style]" class="dt-chosen-select"><?php
                                $selected = craftsandarts_option('widgetarea','wtitle-style');
                                $wtitle_styles = array( 'default' => esc_html__('Choose any  type', 'crafts-and-arts'), 'type1' => esc_html__('Double Border','crafts-and-arts'), 'type2' => esc_html__('Tooltip','crafts-and-arts'), 'type3' => esc_html__('Title Top Border','crafts-and-arts'),
								'type4' => esc_html__('Left Border & Pattren','crafts-and-arts'), 'type5' => esc_html__('Bottom Border','crafts-and-arts'), 'type6' => esc_html__('Tooltip Border','crafts-and-arts'), 'type7' => esc_html__('Boxed Modern','crafts-and-arts'), 'type8' => esc_html__('Elegant Border','crafts-and-arts'),
								'type9' => esc_html__('Needle','crafts-and-arts'), 'type10' => esc_html__('Ribbon','crafts-and-arts'), 'type11' => esc_html__('Content Background','crafts-and-arts'), 'type12' => esc_html__('Classic BG','crafts-and-arts'), 'type13' => esc_html__('Tiny Boders','crafts-and-arts'),
								'type14' => esc_html__('BG & Border','crafts-and-arts'), 'type15' => esc_html__('Classic BG Alt','crafts-and-arts'), 'type16' => esc_html__('Left Border & BG','crafts-and-arts'), 'type17' => esc_html__('Basic','crafts-and-arts'), 'type18' => esc_html__('BG & Pattern','crafts-and-arts'));
                                foreach( $wtitle_styles as $wt => $bv ):
                                    echo "<option value='{$wt}'".selected($selected,$wt,false).">{$bv}</option>";
                                endforeach;?></select>
                        </div>
                        <div class="column four-fifth last">
                              <p class="note"><?php esc_html_e('Choose the style of sidebar widget title.', 'crafts-and-arts'); ?></p>
                        </div>
                    </div>

                    <div class="hr"></div>

                    <div class="column one-column">
                      <h6><?php esc_html_e('Enable Light Color', 'crafts-and-arts'); ?></h6>
                      <div class="column one-fifth">
                            <?php $checked = ( "true" ==  craftsandarts_option('general','enable-lightcolor') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  craftsandarts_option('general','enable-lightcolor') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="dttheme-enable-lightcolor" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                            <input class="hidden" id="dttheme-enable-lightcolor" name="dttheme[general][enable-lightcolor]" type="checkbox" value="true" <?php echo "{$checked}";?> />
                      </div>
                      <div class="column four-fifth last">
                            <p class="note"><?php esc_html_e('YES! to enable light color for widgets, which will be helpfull for dark background.', 'crafts-and-arts'); ?></p>
                      </div>
                    </div>

                </div>
            </div>
            
        </div><!-- #tab1-custom-widgetarea end-->

        <!-- tab2-custom-widgetarea -->
        <div id="tab2" class="tab-content">

            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Create New Widget Area', 'crafts-and-arts'); ?></h3>
                </div>
                
                <div class="box-content">
                    <p class="note"><?php esc_html_e("You can create widget areas here, and assign them in individual page / post", 'crafts-and-arts'); ?></p>
                    <div class="bpanel-option-set">
                        <input type="button" data-for="footer" value="<?php esc_attr_e('Add New Widget Area', 'crafts-and-arts'); ?>" class="black dttheme_add_widgetarea" />
                        <div class="hr_invisible"></div><?php
                        $widgets = craftsandarts_option('widgetarea','footer');
                        $widgets = is_array($widgets) ? array_unique($widgets) : array();
                        $widgets = array_filter($widgets); ?>
                    </div>
                    <div class="bpanel-option-set">
                      <ul class="added-menu"><?php
                          foreach( $widgets as $k => $v){?>
                              <li>
                                <div class="item-bar">
                                  <span class="item-title"><?php esc_html_e('Widget Area:', 'crafts-and-arts'); echo" $v";?></span>
                                  <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit', 'crafts-and-arts'); ?></a></span>
                                </div>
                                <div class="item-content" style="display: none;">
                                  <span><label><?php esc_html_e('Name', 'crafts-and-arts'); ?></label><input type="text" name="dttheme[widgetarea][footer][]" class="social-link" value="<?php echo esc_attr($v); ?>" /></span>
                                  <div class="remove-cancel-links">
                                    <span class="remove-item"><?php esc_html_e('Remove', 'crafts-and-arts'); ?></span>
                                    <span class="meta-sep"> | </span>
                                    <span class="cancel-item"><?php esc_html_e('Cancel', 'crafts-and-arts'); ?></span>
                                  </div>
                                </div>
                              </li><?php
                          }?>
                      </ul>

                      <ul class="sample-to-edit" style="display:none;">
                        <li>
                          <div class="item-bar">
                            <span class="item-title"><?php esc_html_e('Widget Area', 'crafts-and-arts'); ?></span>
                            <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit', 'crafts-and-arts'); ?></a></span>
                          </div>

                          <div class="item-content">
                            <span><label><?php esc_html_e('Name', 'crafts-and-arts'); ?></label><input type="text" class="social-link" /></span>
                            <div class="remove-cancel-links">
                              <span class="remove-item"><?php esc_html_e('Remove', 'crafts-and-arts'); ?></span>
                              <span class="meta-sep"> | </span>
                              <span class="cancel-item"><?php esc_html_e('Cancel', 'crafts-and-arts'); ?></span>
                            </div>
                          </div>
                        </li>
                      </ul>
                    </div>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->
            
        </div><!-- #tab2-custom-widgetarea end-->


    </div><!-- .bpanel-main-content end-->
</div><!-- widgetarea end-->