<?php
/* ---------------------------------------------------------------------------
 * Load default theme options
 * - To return default options to store in database.
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_default_option')) {
function craftsandarts_default_option() {
	 
	$general = array(
		'show-pagecomments' => 'true',
		'enable-responsive' => 'true',
		'show-mobileslider' => 'true',
		'enable-loader' => 'true',
		'enable-uitotop' => 'true'
	);

	$layout = array(
		'logo' => 'true',
		'show-breadcrumb' => 'true',
		'breadcrumb-delimiter' => 'fa default',
		'show-boxed-layout-pattern-color' => 'true',
		'show-boxed-layout-bg-color' => 'true',
		'site-layout' => 'wide',
		'header-type' => 'fullwidth-header fullwidth-default-header',
		'layout-stickynav' => 'true',
		'header-position' => 'above slider',
		'show-sociables' => 'on',
		'enable-footer' => 'true',
		'footer-darkbg' => 'true',
	);
	
	$widgetarea = array(
		'wtitle-style' => 'default'
	);
	
	$social = array(
		'social-1' => array(
			'icon' => 'fa-facebook',
			'link' => '#'
		),
		'social-2' => array(
			'icon' => 'fa-twitter',
			'link' => '#'
		),
		'social-3' => array(
			'icon' => 'fa-google-plus',
			'link' => '#'
		)
	);

	$pageoptions = array(
		'post-author-meta' => 'true',
		'post-date-meta' => 'true',
		'post-comment-meta' => 'true',
		'post-category-meta' => 'true',
		'post-tag-meta' => 'true',
		'enable-404message' => 'true',
		'notfound-style' => 'type2',
		'show-notfound-bg-color' => 'true',
		'show-launchdate' => 'true',
		'comingsoon-style' => 'type4',
		'show-comingsoon-bg-color' => 'true',
		'single-post-comments' => 'true',
		'post-archives-enable-excerpt' => 'true',
		'post-archives-excerpt' => '50',
		'post-archives-enable-readmore' => 'true',
		'post-archives-readmore' => '[dt_sc_button title="Read More" style="filled" icon_type="fontawesome" iconalign="icon-right with-icon" iconclass="fa fa-long-arrow-right" class="type1"]',
		'post-style' => 'entry-date-left'
	);

	$woo = array(
		'shop-page-product-layout' => 'one-fourth-column'
	);

	$colors = array(
		'theme-skin' => 'skyblue',
		'custom-default' => '#da0000',
		'custom-light' => '#ff2828',
		'custom-dark' => '#c50000',

		'content-text-color' => '#3e454c',
		'content-link-color' => '#0eb2e7',
		'content-link-hcolor' => '#3e454c',
	);

	$fonts = array(
		'content-font' => 'Rajdhani',
		'menu-font' => 'Yanone Kaffeesatz',
		'pagetitle-font' => 'Yanone Kaffeesatz',
		'h1-font' => 'Yanone Kaffeesatz',
		'h2-font' => 'Yanone Kaffeesatz',
		'h3-font' => 'Yanone Kaffeesatz',
		'h4-font' => 'Yanone Kaffeesatz',
		'h5-font' => 'Yanone Kaffeesatz',
		'h6-font' => 'Yanone Kaffeesatz',
		'font-style' => array( '100', '100italic', '200', '200italic','300', '300italic','400', '400italic','500', '500italic','600', '600italic','700', '700italic','800', '800italic','900', '900italic'),
		'content-font-size' => '16',
		'menu-font-size' => '20',
		'h1-font-size' => '40',
		'h2-font-size' => '34',
		'h3-font-size' => '28',
		'h4-font-size' => '24',
		'h5-font-size' => '20',
		'h6-font-size' => '18',
		'menu-letter-spacing' => '0.5px',
		'h1-letter-spacing' => '0.5px',
		'h2-letter-spacing' => '0.5px',
		'h3-letter-spacing' => '0.5px',
		'h4-letter-spacing' => '0.5px',
		'h5-letter-spacing' => '0.5px',
		'h6-letter-spacing' => '0.5px',
		'body-line-height' => '26'
	);
	
	$data = array(
		'general' => $general,
		'layout'  => $layout,
		'widgetarea'  => $widgetarea,
		'social'  => $social,
		'pageoptions' => $pageoptions,
		'woo'	  => $woo,
		'colors'  => $colors,
		'fonts'   => $fonts
	);
	return $data;
}
}

/* ---------------------------------------------------------------------------
 * Load default theme options
 * - To return default options to store in database.
 * --------------------------------------------------------------------------- */
if (!function_exists('craftsandarts_show_footer_widgetarea')) {
function craftsandarts_show_footer_widgetarea( $count ) {
	$classes = array (
		"1" => "dt-sc-full-width",
		"dt-sc-one-half",
		"dt-sc-one-third",
		"dt-sc-one-fourth",
		"dt-sc-one-fifth",
		"dt-sc-one-sixth",
		"1-2" => "dt-sc-one-half",
		"1-3" => "dt-sc-one-third",
		"1-4" => "dt-sc-one-fourth",
		"3-4" => "dt-sc-three-fourth",
		"2-3" => "dt-sc-two-third" );

	if ($count <= 6) :
		for($i = 1; $i <= $count; $i ++) :

			$class = $classes [$count];
			$class = esc_attr( $class );

			$first = ($i == 1) ? "first" : "";
			$first = esc_attr( $first );

			echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$i}" )) : endif;
			echo "</div>";
		endfor;
	elseif ($count == 12 || $count == 13) :

		$a = array (
			"1-4",
			"1-4",
			"1-2" );

		$a = ($count == 12) ? $a : array_reverse ( $a );
		foreach ( $a as $k => $v ) :
			$class = $classes [$v];
			$class = esc_attr( $class );

			$first = ($k == 0 ) ? "first" : "";
			$first = esc_attr( $first );

			echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) : endif;
			echo "</div>";
		endforeach;
	elseif ($count == 7 || $count == 8) :
		$a = array (
			"1-4",
			"3-4");

		$a = ($count == 7) ? $a : array_reverse ( $a );
		foreach ( $a as $k => $v ) :
			$class = $classes [$v];
			$class = esc_attr( $class );

			$first = ($k == 0 ) ? "first" : "";
			$first = esc_attr( $first );


			echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) :endif;
			echo "</div>";
		endforeach;
	elseif ($count == 9 || $count == 10) :
		$a = array ( 
			"1-3",
			"2-3" );
		$a = ($count == 9) ? $a : array_reverse ( $a );

		foreach ( $a as $k => $v ) :
			$class = $classes [$v];
			$class = esc_attr( $class );

			$first = ($k == 0 ) ? "first" : "";
			$first = esc_attr( $first );

			echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) :endif;
			echo "</div>";
		endforeach;
	elseif ($count == 11 ) :
		$a = array ( "1-4", "1-2", "1-4" );
		foreach ( $a as $k => $v ) :
			$class = $classes [$v];
			$class = esc_attr( $class );
			$first = ($k == 0 ) ? "first" : "";
			$first = esc_attr( $first );
			echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) : endif;
			echo "</div>";
		endforeach;
	endif;
}
}


if( !function_exists('is_plugin_active') ) {
			
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			
}
?>