<?php
/**
 * Theme Functions
 *
 * @package DTtheme
 * @author DesignThemes
 * @link http://wedesignthemes.com
 */

define( 'CRAFTSANDARTS_THEME_DIR', get_template_directory() );
define( 'CRAFTSANDARTS_THEME_URI', get_template_directory_uri() );
define( 'CRAFTSANDARTS_CORE_PLUGIN', WP_PLUGIN_DIR.'/designthemes-core-features' );
define( 'CRAFTSANDARTS_SETTINGS', 'cratfsandarts-opts' );
global $craftsandartsoptions;
$craftsandartsoptions = get_option(CRAFTSANDARTS_SETTINGS);

if (function_exists ('wp_get_theme')) :
	$themeData = wp_get_theme();
	define( 'CRAFTSANDARTS_THEME_NAME', $themeData->get('Name'));
	define( 'CRAFTSANDARTS_THEME_VERSION', $themeData->get('Version'));
endif;

define( 'CRAFTSANDARTS_LANG_DIR', CRAFTSANDARTS_THEME_DIR. '/languages' );

/* ---------------------------------------------------------------------------
 * Loads Theme Textdomain
 * ---------------------------------------------------------------------------*/ 
load_theme_textdomain( 'crafts-and-arts', CRAFTSANDARTS_LANG_DIR );

/* ---------------------------------------------------------------------------
 * Loads the Admin Panel Scripts
 * ---------------------------------------------------------------------------*/
function craftsandarts_admin_scripts() {

	wp_enqueue_style('craftsandarts-admin', CRAFTSANDARTS_THEME_URI .'/framework/theme-options/style.css');
	wp_enqueue_style('chosen', CRAFTSANDARTS_THEME_URI .'/framework/theme-options/css/chosen.css');
	wp_enqueue_style('wp-color-picker');

	wp_enqueue_script('jquery-ui-tabs');
	wp_enqueue_script('jquery-ui-sortable');
	wp_enqueue_script('jquery-ui-slider');
	wp_enqueue_script('wp-color-picker');
	wp_enqueue_script('wp-color-picker-alpha', CRAFTSANDARTS_THEME_URI.'/framework/js/wp-color-picker-alpha.js', array(), false, true);
	wp_enqueue_script('jquery-browser', CRAFTSANDARTS_THEME_URI . '/framework/theme-options/js/jquery.browser.min.js');
	wp_enqueue_script('jquery-tools', CRAFTSANDARTS_THEME_URI . '/framework/theme-options/js/jquery.tools.min.js');
	wp_enqueue_script('jquery-chosen', CRAFTSANDARTS_THEME_URI . '/framework/theme-options/js/chosen.jquery.min.js');
	wp_enqueue_script('craftsandarts-dttheme', CRAFTSANDARTS_THEME_URI . '/framework/theme-options/js/dttheme.admin.js', array( 'wp-blocks' ));
	wp_enqueue_media();

	wp_localize_script('craftsandarts-dttheme', 'objectL10n', array(
		'saveall' => esc_html__('Save All', 'crafts-and-arts'),
		'saving' => esc_html__('Saving ...', 'crafts-and-arts'),
		'noResult' => esc_html__('No Results Found!', 'crafts-and-arts'),
		'resetConfirm' => esc_html__('This will restore all of your options to default. Are you sure?', 'crafts-and-arts'),
		'importConfirm' => esc_html__('You are going to import the dummy data provided with the theme, kindly confirm?', 'crafts-and-arts'),
		'backupMsg' => esc_html__('Click OK to backup your current saved options.', 'crafts-and-arts'),
		'backupSuccess' => esc_html__('Your options are backuped successfully', 'crafts-and-arts'),
		'backupFailure' => esc_html__('Backup Process not working', 'crafts-and-arts'),
		'disableImportMsg' => esc_html__('Importing is disabled.. :), Please select atleast import type','crafts-and-arts'),
		'restoreMsg' => esc_html__('Warning: All of your current options will be replaced with the data from your last backup! Proceed?', 'crafts-and-arts'),
		'restoreSuccess' => esc_html__('Your options are restored from previous backup successfully', 'crafts-and-arts'),
		'restoreFailure' => esc_html__('Restore Process not working', 'crafts-and-arts'),
		'importMsg' => esc_html__('Click ok import options from the above textarea', 'crafts-and-arts'),
		'importSuccess' => esc_html__('Your options are imported successfully', 'crafts-and-arts'),
		'importFailure' => esc_html__('Import Process not working', 'crafts-and-arts')));
}
add_action( 'admin_enqueue_scripts', 'craftsandarts_admin_scripts' );

/* ---------------------------------------------------------------------------
 * Loads the Options Panel
 * ---------------------------------------------------------------------------*/ 
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/utils.php' );
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/fonts.php' );
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/theme-options/init.php' );

/* ---------------------------------------------------------------------------
 * Loads Theme Functions
 * ---------------------------------------------------------------------------*/ 

// Functions --------------------------------------------------------------------
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-functions.php' );

// Header -----------------------------------------------------------------------
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-head.php' );


// Menu -------------------------------------------------------------------------
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-menu.php' );
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-mega-menu.php' );

// Hooks ------------------------------------------------------------------------
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-hooks.php' );

// Widgets ----------------------------------------------------------------------
add_action( 'widgets_init', 'craftsandarts_widgets_init' );
function craftsandarts_widgets_init() {
	require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-widgets.php' );
}


// Plugins ---------------------------------------------------------------------- 
require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-plugins.php' );

// Portfolio Functions --------------------------------------------------------------------
if(class_exists('DTCorePlugin')) {
	require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-portfolio-functions.php' );
}

// WooCommerce ------------------------------------------------------------------
if( function_exists( 'is_woocommerce' ) ){
	require_once( CRAFTSANDARTS_THEME_DIR .'/framework/register-woocommerce.php' );
}

// Register Gutenberg -----------------------------------------------------------
require_once( CRAFTSANDARTS_THEME_DIR . '/framework/register-gutenberg-editor.php' );  ?>