<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
    <?php craftsandarts_viewport(); ?>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} ?>
<?php
if(craftsandarts_option('general', 'enable-bordered-site') == 'true') {
	$site_border_width = craftsandarts_option('general', 'site-border-width');
	$site_border_width = ($site_border_width != '') ? 'border-width:'.$site_border_width.'px;' : '';		

	$site_border_color = craftsandarts_option('colors', 'site-border-color');
	$site_border_color = ($site_border_color != '') ? 'border-color:'.$site_border_color.';' : '';

	$style = 'style="'.$site_border_width.' '.$site_border_color.'"';
	echo '<div class="dt-sc-bordered-site" '.$style.'></div>';
}

// loading
$loader = craftsandarts_option('general','enable-loader');
if( isset($loader) ) {
	echo '<div class="loader">
			<div class="loader-inner">
				<div class="spinner icon-moon icon-moon-spinner9" aria-hidden="true"></div>
			</div>
		</div>';
}

// top hook
do_action( 'craftsandarts_hook_top' ); 

global $post;
if(isset($post)) {
	$tpl_default_settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
	$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();
}
?>

<!-- **Wrapper** -->
<div class="wrapper">
	<div class="inner-wrapper">

		<!-- **Header Wrapper** -->
        <?php 
        $htype = craftsandarts_get_header_type();
        $hdarkbg = craftsandarts_option('layout','header-darkbg'); 
        $hdarkbg = isset( $hdarkbg ) ? 'dt-sc-dark-bg' : ''; 

        $dark_header = false;
		if(is_singular('dt_portfolios')) {
			$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
			$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();
			$dark_header = array_key_exists("dark-header", $portfolio_settings) ? true : false;
		}
		if( $dark_header) {
			$hdarkbg = 'dt-sc-dark-bg'; 
		}
		$class = $hdarkbg;

        if($htype == 'left-header animated-right-header') {
        	$class .= ' hideMenu';
        }
        ?>
		<div id="header-wrapper" class="<?php echo esc_attr( $class ); ?>">
            <!-- **Header** -->
            <header id="header"><?php
				//top bar
				$topbar 	= craftsandarts_option('layout','layout-topbar');
				$topcontent = craftsandarts_option('layout','top-content');
				if( isset($topbar) && isset($topcontent) && $topcontent != '' ):?>
                    <div class="top-bar">
                        <div class="container"><?php
							$content = craftsandarts_option('layout','top-content');
							$content = do_shortcode( stripslashes($content) );
							echo craftsandarts_wp_kses( $content ); ?>
                        </div>
                    </div><?php
				endif;

				// header types

				if( $htype != "left-header" && $htype != "left-header-boxed" && $htype != "creative-header" && $htype != "overlay-header" && $htype != "left-header animated-right-header" && $htype != 'left-header left-stretched-header' ):
					// header position
					$headerpos = craftsandarts_option('layout','header-position');
					if( isset($headerpos) && $headerpos == 'below slider' ):
						echo craftsandarts_slider();
					endif;
				endif;?>

            	<!-- **Main Header Wrapper** -->
            	<div id="main-header-wrapper" class="main-header-wrapper">

            		<div class="container">

            			<!-- **Main Header** -->
            			<div class="main-header">

            				<?php craftsandarts_header_logo(); ?>

            				<?php
							if( isset($htype) && ($htype == 'fullwidth-header header-align-center fullwidth-menu-header') ):?>
								<div class="header-left"><?php
									$leftcontent = craftsandarts_option('layout','menu-top-left-content');
									if( isset($leftcontent) && $leftcontent != '') :
										$content = do_shortcode( stripcslashes( $leftcontent ) );
										echo craftsandarts_wp_kses( $content );
									endif; ?></div><?php
							endif;
							?>

            				<div id="menu-wrapper" class="menu-wrapper <?php craftsandarts_opts_show('menu-active-type',''); ?>">
                            	<div class="dt-menu-toggle" id="dt-menu-toggle">
                                	<?php esc_html_e('Menu','crafts-and-arts'); ?>
                                    <span class="dt-menu-toggle-icon"></span>
                                </div><?php
								if( isset($htype) ):
									switch($htype):
										case 'split-header fullwidth-header':
										case 'split-header boxed-header':
												echo '<nav id="main-menu">';
												craftsandarts_wp_split_menu();
												echo '</nav>';
										break;
										
										case 'overlay-header':
												echo '<div class="overlay overlay-hugeinc">';

													echo '<div class="overlay-close"></div>';
													

													$leftcontent = craftsandarts_option('layout','menu-top-left-content');
													if( isset($leftcontent) && $leftcontent != '') :
														$content = do_shortcode( stripcslashes( $leftcontent ) );
														echo '<div class="header-top">'.craftsandarts_wp_kses( $content ).'</div>';
													endif;
													
													craftsandarts_wp_nav_menu(0);
													
													$rightcontent = craftsandarts_option('layout','menu-top-right-content');
													if( isset($rightcontent) && $rightcontent != '') :
														$content = do_shortcode( stripcslashes( $rightcontent ) );
														echo '<div class="header-bottom">'.craftsandarts_wp_kses( $content ).'</div>';
													endif; 

												echo '</div>';
												echo '<div id="trigger-overlay"><span></span></div>';
										break;

										case 'fullwidth-header fallin-header':
												craftsandarts_wp_nav_menu();
												echo '<div class="nav-menu-icon">';
													echo '<span></span><span></span><span></span>';
												echo '</div>';
										break;

										case 'fullwidth-header stretched-header':
										case 'fullwidth-header fullwidth-default-header':
										case 'boxed-header':
										case 'two-color-header':
										default:
											craftsandarts_wp_nav_menu();
											require_once( CRAFTSANDARTS_THEME_DIR .'/headers/default.php' );
										break;
									endswitch;
								endif; ?>
            				</div>

            				<?php
							if( isset($htype) && (($htype == 'fullwidth-header header-align-center fullwidth-menu-header') || 
												  ($htype == 'fullwidth-header header-align-left fullwidth-menu-header')) ):?>
								<div class="header-right"><?php
									$rightcontent = craftsandarts_option('layout','menu-top-right-content');
									if( isset($rightcontent) && $rightcontent != '') :
										$content = do_shortcode( stripcslashes( $rightcontent ) );
										echo craftsandarts_wp_kses( $content );
									endif; ?></div><?php
							endif;

							// left header
                            if( isset($htype) && ( $htype == 'left-header' || $htype == 'left-header-boxed' || $htype == 'creative-header' || $htype == 'left-header left-stretched-header') ): ?>
                                <div class="left-header-footer"><?php
									$content = craftsandarts_option('layout','menu-left-header-content');
									$content = do_shortcode( stripcslashes( $content ) );
									echo craftsandarts_wp_kses($content); ?></div><?php
							endif; ?>
            			</div>
            		</div>
            	</div><!-- **Main Header** --><?php			
				if( $htype != "left-header" && $htype != "left-header-boxed" && $htype != "creative-header" && $htype != "overlay-header" && $htype != "left-header animated-right-header" && $htype != 'left-header left-stretched-header' ):
					// header position
					if( isset($headerpos) && $headerpos != 'below slider' ):
						echo craftsandarts_slider();
					endif;
				endif;?>

			</header><!-- **Header - End** -->
		</div><!-- **Header Wrapper - End** -->

		<?php 
		if( $htype == "creative-header" ) echo '<div id="toggle-sidebar"><span></span></div>'; 

		$disable_footer = $portfolio_footer_page = '';
		if(isset($tpl_default_settings)) {
			$disable_footer = array_key_exists('portfolio-disable-footer', $tpl_default_settings) ? true : '';
			$portfolio_footer_page = array_key_exists('footer-page', $tpl_default_settings) ? $tpl_default_settings['footer-page'] : '';
		}
		
		if(is_singular('dt_portfolios')) {
			$disable_footer = array_key_exists('disable-footer', $portfolio_settings) ? true : '';
			$portfolio_footer_page = array_key_exists('footer-page', $portfolio_settings) ? $portfolio_settings['footer-page'] : '';
		}		


		$ff_class = '';
		if($disable_footer == true) {

		} else {
			if($portfolio_footer_page == '') {
		        $fixed_footer = craftsandarts_option('layout','footer-fixed');
		        if($fixed_footer == 'true') {
		        	$footer_darkbg = craftsandarts_option('layout','footer-darkbg');
		        	$ff_darkbg =  ($footer_darkbg != '') ? 'footer-darkbg' : '';
		            $ff_class = 'class="with-fixed-footer '.$ff_darkbg.'"';
		        }
		    }
	    }
		?>

        <!-- **Main** -->
        <div id="main" <?php echo "{$ff_class}"; ?>><?php

			if( $htype == "left-header" || $htype == "left-header-boxed" || $htype == "creative-header" || $htype == "overlay-header"|| $htype == "left-header animated-right-header" || $htype == 'left-header left-stretched-header' ):
				echo craftsandarts_slider();
			endif;

			// subtitle & breadcrumb section
			if( is_page() ) :
				if(empty($tpl_default_settings)) $tpl_default_settings['enable-sub-title'] = 'true';
				if(isset($tpl_default_settings['enable-sub-title']) ):
					require_once( CRAFTSANDARTS_THEME_DIR .'/headers/breadcrumb.php' );
				endif;	
			elseif(is_singular('dt_portfolios')):
				if(isset($portfolio_settings['enable-sub-title']) ):
					require_once( CRAFTSANDARTS_THEME_DIR .'/headers/breadcrumb.php' );
				endif;
			else:
				require_once( CRAFTSANDARTS_THEME_DIR .'/headers/breadcrumb.php' );
			endif;

			// Class for container div
			$class = "container";

			if( is_page_template('tpl-portfolio.php') ) {
				$class = ( $tpl_default_settings['layout'] == 'fullwidth' ) ? "portfolio-fullwidth-container" : "container";
            }

			if( is_singular('tribe_events') ) {
				$tpl_default_settings = get_post_meta($post->ID,'_custom_settings',TRUE);
				$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();
				$post_style = array_key_exists( "event-post-style", $tpl_default_settings ) ? $tpl_default_settings['event-post-style'] : "type1";
				switch( $post_style ):
					case 'type2':
						$class = "event-type2-fullwidth";
						break;
					case 'type5':
						$class = "event-type5-fullwidth";
						break;
					default:
						$class = "container";
				endswitch;
			}

			if( is_singular('dt_portfolios') ) {
				craftsandarts_portfolio_single_top_section();
				$portfolio_layout = array_key_exists("portfolio-layout", $portfolio_settings) ? $portfolio_settings['portfolio-layout'] : "full-width-portfolio";
				if($portfolio_layout == 'fixed-gallery' || $portfolio_layout == 'fixed-feature-image' || $portfolio_layout == 'fullpage-portfolio' || $portfolio_layout == 'fullscreen-slider' || $portfolio_layout == 'gallery-list') {
					$class = 'dt-sc-portfolio-fullwidth-container '.$portfolio_layout;
				} else {
					$class = 'container '.$portfolio_layout;
				}
			} else if( is_singular() ) {
				$tpl_default_settings = get_post_meta($post->ID,'_custom_settings',TRUE);
				$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();
				$class =  ( isset( $tpl_default_settings['layout'] ) ) && ( $tpl_default_settings['layout'] == 'fullwidth-container') ? "show-in-fullwidth" : $class;
			} 

			?>
            <!-- ** Container ** -->
            <div class="<?php echo esc_attr($class); ?>"><?php
			do_action( 'craftsandarts_hook_content_before' ); ?>