<?php
/*
Template Name: Portfolio Template
*/
get_header();
?>

<?php

$portfolio_template_pageid = $post->ID;

$tpl_default_settings = get_post_meta($portfolio_template_pageid,'_tpl_default_settings',TRUE);
$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();

$page_layout  = array_key_exists( "layout", $tpl_default_settings ) ? $tpl_default_settings['layout'] : "content-full-width";
$show_sidebar = $show_left_sidebar = $show_right_sidebar = false;
$sidebar_class = '';

$post_style = isset( $tpl_default_settings['portfolio-post-style'] ) ? $tpl_default_settings['portfolio-post-style'] : '';

$portfolio_fullpage_type = isset( $tpl_default_settings['portfolio-fullpage-type'] ) ? $tpl_default_settings['portfolio-fullpage-type'] : '';
$portfolio_fullpage_splittedsections = isset( $tpl_default_settings['portfolio-fullpage-splittedsections'] ) ? $tpl_default_settings['portfolio-fullpage-splittedsections'] : 'leftside-image';

$content_postition = isset( $tpl_default_settings['portfolio-editor-content-position'] ) ? $tpl_default_settings['portfolio-editor-content-position'] : "";

$pagination_type = isset($tpl_default_settings['portfolio-pagination-type']) ? $tpl_default_settings['portfolio-pagination-type'] : '';
if(in_array($pagination_type, array('load-more', 'lazy-load'))) {

	$tpl_default_settings['paged'] = 1;
	$tpl_default_settings['ajax-call'] = 0;	

}

switch ( $page_layout ) {
	case 'with-left-sidebar':
		$page_layout = "page-with-sidebar with-left-sidebar";
		$show_sidebar = $show_left_sidebar = true;
		$sidebar_class = "secondary-has-left-sidebar";
	break;

	case 'with-right-sidebar':
		$page_layout = "page-with-sidebar with-right-sidebar";
		$show_sidebar = $show_right_sidebar	= true;
		$sidebar_class = "secondary-has-right-sidebar";
	break;
	
	case 'with-both-sidebar':
		$page_layout = "page-with-sidebar with-both-sidebar";
		$show_sidebar = $show_left_sidebar = $show_right_sidebar	= true;
		$sidebar_class = "secondary-has-both-sidebar";
	break;

	case 'content-full-width':
	default:
		$page_layout = "content-full-width";
	break;
}

?>

<section id="primary" class="<?php echo esc_attr( $page_layout ); ?>">

	<?php
	if($content_postition == ''):

		$content = get_post($portfolio_template_pageid)->post_content;
		echo do_shortcode($content);

		wp_link_pages (array('before' => '<div class="page-link">', 'after' => '</div>', 'link_before' => '<span>',
						'link_after' => '</span>', 'next_or_number' => 'number', 'pagelink' => '%', 'echo' => 1) );
		edit_post_link( esc_html__( ' Edit ','crafts-and-arts' ) );

	endif;
	?>
    
    <div class="dt-sc-clear"></div>
    
    <?php echo craftsandarts_portfolio_lists($portfolio_template_pageid, $tpl_default_settings, $show_sidebar); ?>

    <div class="dt-sc-clear"></div>

	<?php
	if($content_postition == 'bottom'):

		$content = get_post($portfolio_template_pageid)->post_content;
		echo do_shortcode($content);
		
		wp_link_pages (array('before' => '<div class="page-link">', 'after' => '</div>', 'link_before' => '<span>',
						'link_after' => '</span>', 'next_or_number' => 'number', 'pagelink' => '%', 'echo' => 1) );
		edit_post_link( esc_html__( ' Edit ','crafts-and-arts' ) );

	endif;
	?>

</section>

<?php

if ( $show_sidebar ):
	if ( $show_left_sidebar ): ?>
		<section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class ); ?>"><?php get_sidebar('left'); ?></section><?php
	endif;
endif;

if ( $show_sidebar ):
	if ( $show_right_sidebar ): ?>
		<section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class ); ?>"><?php get_sidebar('right'); ?></section><?php
	endif;
endif;
get_footer();
?>